use super::log_level::LogLevel;


pub struct Logger
{
   log_level: LogLevel
}


impl Logger
{
   pub fn new(lvl: LogLevel) -> Logger
   {
      Logger{log_level: lvl}
   }

   pub fn get_log_level(&self) -> LogLevel
   {
      match self.log_level
      {
         LogLevel::OFF => LogLevel::OFF,
         LogLevel::ERROR => LogLevel::ERROR,
         LogLevel::WARN => LogLevel::WARN,
         LogLevel::MESSAGE => LogLevel::MESSAGE,
         LogLevel::DEBUG => LogLevel::DEBUG,
         LogLevel::TRACE => LogLevel::TRACE
      }
   }

   pub fn set_log_level(&mut self, lvl: LogLevel)
   {
      self.log_level = lvl
   }
}
