//#[docs(hidden)]
#[macro_export]
macro_rules! log
{
   ($log_level: expr, $($args: tt)*) =>
   ({
      let log_entry: Entry;
      let desired_log_level: LogLevel;
      //let current_log_level: LogLevel;

      log_entry = Entry::new(Location::new(module_path!(), file!(), line!()));
      desired_log_level = $log_level;

      println!("{0}: {1}(line: {2})",
               log_entry.location.module_path,
               log_entry.location.file,
               log_entry.location.line);
   })
}
